body {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    font-family: 'Poppins', sans-serif;
    color: #fff;
    font-weight: 500;
    padding: 10px;
}
.invitation-wrapper {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: #fff;
}
.invitation-content {
    position: relative;
    z-index: 100;
}
.invitation-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 110%;
    background-position: center 0;
    background-size: cover;
    background-repeat: no-repeat;
    background-image: url('../../images/event-page-roses/roses.jpg') ;
}
.invitation-subtitle {
    font-size: 24px;
    font-weight: 300;
}
.invitation-title {
    font-size: 96px;
    line-height: 112px;
    font-weight: 500;
    margin: 20px 0;
}
.invitation-body {
    margin-top: 20px;
}
.invitation-date {
    font-size: 48px;
    font-style: normal;
    font-weight: 300;
}
.invitation-time-text {
    font-size: 20px;
    font-weight: 300;
}
.invitation-time {
    font-size: 30px;
}
.invitation-location-name {
    font-size: 24px;
    margin-top: 40px;
    font-weight: 500;
}
.invitation-location-address {
    font-size: 16px;
    font-weight: 300;
}

/* decoration lines */
.invitation-subtitle,
.separator {
    display: flex;
    justify-content: center;
    align-items: center;
}
.invitation-subtitle::before,
.invitation-subtitle::after,
.separator::before,
.separator::after {
    content: '';
    display: block;
    height: 0.08em;
    min-width: 3vw;
  }
.separator::before,
.separator::after {
    min-width: 10vw;
}
.separator::before,
.invitation-subtitle::before {
    background: linear-gradient(to right, rgba(240,240,240,0), #fff);
    margin-right: 1vh;
  }
.invitation-subtitle::after,  
.separator::after {
    background: linear-gradient(to left, rgba(240,240,240,0), #fff);
    margin-left: 1vh;
}
.separator::before {
    margin-right: 0;
}
.separator::after {
    margin-left: 0;
}
/* decoration lines end */

/* fade-in effect */
.invitation-subtitle,
.invitation-title {
    animation-delay: 500ms;
    animation: fadein 1s;
    -moz-animation: fadein 1s;
    -webkit-animation: fadein 1s;
    -o-animation: fadein 1s;
}
.invitation-full-date {
    animation-delay: 600ms;
    animation: fadein 1s;
    -moz-animation: fadein 1s;
    -webkit-animation: fadein 1s;
    -o-animation: fadein 1s;
}
.separator,
.invitation-full-time,
.invitation-location {
    animation-delay: 1s;
    animation: fadein 2s;
    -moz-animation: fadein 2s;
    -webkit-animation: fadein 2s;
    -o-animation: fadein 2s;
}
@keyframes fadein {
    from { opacity:0; }
    to { opacity:1;}
}
@-moz-keyframes fadein {
    from { opacity:0; }
    to { opacity:1; }
}
@-webkit-keyframes fadein {
    from { opacity:0; }
    to { opacity:1; }
}
@-o-keyframes fadein {
    from { opacity:0; }
    to { opacity: 1; }
}
/* fade-in effect end */

/* media queries */
@media screen and (max-width: 1025px){
    .invitation-title {
        font-size: 84px;
        line-height: 98px;
    }
    .invitation-date {
        font-size: 36px;
    }
    .invitation-subtitle,
    .invitation-location-name {
        font-size: 20px;
    }
    .invitation-time-text{
        font-size: 18px;
    }
    .invitation-time {
        font-size: 26px;
    }
}
@media screen and (max-width: 801px){
    .invitation-title {
        font-size: 72px;
        line-height: 84px;
    }
    .invitation-date {
        font-size: 24px;
    }
    .invitation-subtitle,
    .invitation-location-name {
        font-size: 20px;
    }
    .invitation-time-text{
        font-size: 16px;
    }
    .invitation-time {
        font-size: 22px;
    }
    .invitation-location-address {
        font-size: 14px;
    }
}
@media screen and (max-width: 601px){
    .invitation-title {
        font-size: 42px;
        line-height: 48px;
    }
    .invitation-date {
        font-size: 18px;
    }
    .invitation-subtitle,
    .invitation-location-name {
        font-size: 18px;
    }
    .invitation-time-text{
        font-size: 12px;
    }
    .invitation-time {
        font-size: 16px;
    }
    .invitation-location-address {
        font-size: 12px;
    }
}
/* media queries end */
